#ifndef __ncap_port_h
#define __ncap_port_h 1

#if defined(__sun__) && defined(__svr4__)
typedef uint8_t u_int8_t;
typedef uint16_t u_int16_t;
typedef uint32_t u_int32_t;
typedef uint64_t u_int64_t;
#include <stdarg.h>
int asprintf(char **ret, const char *format, ...);
#include <sys/socket.h>
#include <net/if_arp.h>
#include <sys/ethernet.h>
#define ETHER_HDR_LEN 14
#define IP_OFFMASK 0x1fff
#define false   0
#define true    1
typedef int bool;
#else
#include <stdint.h>
#include <stdbool.h>
#endif

#if defined(__APPLE__)
# undef INT16SZ
# undef INT32SZ
#endif

#ifndef INT16SZ
# define	INT16SZ		2
#endif

#ifndef INT32SZ
# define	INT32SZ		4
#endif

#if __GNUC__ >= 3
# define __attribute__(x)	__attribute__(x)
#else
# define __attribute__(x)
#endif

#endif
